<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [RunningScript](./bitburner.runningscript.md) &gt; [ramUsage](./bitburner.runningscript.ramusage.md)

## RunningScript.ramUsage property

How much RAM this script uses for ONE thread. Also known as "static RAM usage," this value does not change once the script is started, unless you call ns.ramOverride().

**Signature:**

```typescript
ramUsage: number;
```
